# Wallabag

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/wallabag/status.svg)](https://drone.autonomic.zone/compose-stacks/wallabag)

Self hostable application for saving web pages • https://github.com/wallabag/wallabag

<!-- metadata -->
* **Category**: Apps
* **Status**: ❸🍎
* **Image**: [`wallabag/wallabag`](https://hub.docker.com/r/wallabag/wallabag), ❶💚, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: No
* **Tests**: ❷💛
* **SSO**: No
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`compose-stacks/traefik`]
3. `abra app new wallabag --secrets`
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
8. Initialise database
```
abra app YOURAPPDOMAIN run app bash
cd /var/www/wallabag/
php bin/console wallabag:install --env=prod -n
```

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`compose-stacks/traefik`]: https://git.autonomic.zone/compose-stacks/traefik
